* [ptxdist] [PATCH v2 1/2] ptxd_make_world_license: handle PDFs in _LICENSE_FILES
@ 2021-07-08 18:52 Roland Hieber
2021-07-08 18:52 ` [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier Roland Hieber
2021-07-20 11:48 ` [ptxdist] [APPLIED] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Michael Olbrich
0 siblings, 2 replies; 4+ messages in thread
From: Roland Hieber @ 2021-07-08 18:52 UTC (permalink / raw)
To: ptxdist; +Cc: Roland Hieber
If PDF files are found in the _LICENSE_FILES variable, include them as
literal pages in license-report.pdf with the 'pdfpages' package, which
nowadays comes preinstalled with most LaTeX distributions.
Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
* v1 -> v2: no changes
scripts/lib/ptxd_make_license_report.sh | 2 ++
scripts/lib/ptxd_make_world_license.sh | 41 ++++++++++++++++---------
2 files changed, 28 insertions(+), 15 deletions(-)
diff --git a/scripts/lib/ptxd_make_license_report.sh b/scripts/lib/ptxd_make_license_report.sh
index c92dc725d1f7..bed5bd1d43c5 100644
--- a/scripts/lib/ptxd_make_license_report.sh
+++ b/scripts/lib/ptxd_make_license_report.sh
@@ -18,6 +18,7 @@ ptxd_make_license_report_header() {
\usepackage{tikz}
\usepackage{adjustbox}
\usepackage{spverbatim}
+ \usepackage{pdfpages}
\hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
%% Something like this may be needed depending on the package list
@@ -209,6 +210,7 @@ ptxd_make_license_compliance_header() {
\usepackage{tikz}
\usepackage{adjustbox}
\usepackage{spverbatim}
+ \usepackage{pdfpages}
\hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
%% Something like this may be needed depending on the package list
diff --git a/scripts/lib/ptxd_make_world_license.sh b/scripts/lib/ptxd_make_world_license.sh
index f68b75339cb2..785254603765 100644
--- a/scripts/lib/ptxd_make_world_license.sh
+++ b/scripts/lib/ptxd_make_world_license.sh
@@ -188,21 +188,32 @@ ptxd_make_world_license_write() {
continue
fi
title="$(basename "${license}")"
- cat <<- EOF
- \section{$(ptxd_make_latex_escape "${title}")${guess}}
- \begin{small}
- \begin{spverbatim}
- EOF
- if [ -f "${license}.utf-8" ]; then
- cat "${license}.utf-8"
- else
- cat "${license}"
- fi | sed -e 's/\f/\n/g'
- check_pipe_status || return
- cat <<- EOF
- \end{spverbatim}
- \end{small}
- EOF
+ case "${license}" in
+ *.pdf)
+ cat <<- EOF
+ \section{$(ptxd_make_latex_escape "${title}")${guess}}
+ \includepdf[pages=-]{${license}}
+ EOF
+ ;;
+ *)
+ cat <<- EOF
+ \section{$(ptxd_make_latex_escape "${title}")${guess}}
+ \begin{small}
+ \begin{spverbatim}
+ EOF
+
+ if [ -f "${license}.utf-8" ]; then
+ cat "${license}.utf-8"
+ else
+ cat "${license}"
+ fi | sed -e 's/\f/\n/g'
+ check_pipe_status || return
+ cat <<- EOF
+ \end{spverbatim}
+ \end{small}
+ EOF
+ ;;
+ esac
done
}
export -f ptxd_make_world_license_write
--
2.30.2
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de
^ permalink raw reply [flat|nested] 4+ messages in thread
* [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier
2021-07-08 18:52 [ptxdist] [PATCH v2 1/2] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Roland Hieber
@ 2021-07-08 18:52 ` Roland Hieber
2021-07-20 11:48 ` [ptxdist] [APPLIED] " Michael Olbrich
2021-07-20 11:48 ` [ptxdist] [APPLIED] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Michael Olbrich
1 sibling, 1 reply; 4+ messages in thread
From: Roland Hieber @ 2021-07-08 18:52 UTC (permalink / raw)
To: ptxdist; +Cc: Roland Hieber, Lars Pedersen
LICENSE.rst includes an Unlicense and a BSD-2-Clause, and refers to
additional licenses for the OCB code, which contains a restriction for
"military purposes", and is not compatible with the Open Source
Definition.
Fixes: b8958ad388ba104527e2 (2021-07-02, "python3-pycryptodomex: new package")
Cc: Lars Pedersen <lapeddk@gmail.com>
Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
* v1 -> v2: use "custom" instead of "proprietary"
rules/python3-pycryptodomex.make | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/rules/python3-pycryptodomex.make b/rules/python3-pycryptodomex.make
index 59dadfbd0d29..69fcd1f3a5e8 100644
--- a/rules/python3-pycryptodomex.make
+++ b/rules/python3-pycryptodomex.make
@@ -21,9 +21,12 @@ PYTHON3_PYCRYPTODOMEX_SUFFIX := tar.gz
PYTHON3_PYCRYPTODOMEX_URL := $(call ptx/mirror-pypi, pycryptodomex, $(PYTHON3_PYCRYPTODOMEX).$(PYTHON3_PYCRYPTODOMEX_SUFFIX))
PYTHON3_PYCRYPTODOMEX_SOURCE := $(SRCDIR)/$(PYTHON3_PYCRYPTODOMEX).$(PYTHON3_PYCRYPTODOMEX_SUFFIX)
PYTHON3_PYCRYPTODOMEX_DIR := $(BUILDDIR)/$(PYTHON3_PYCRYPTODOMEX)
-PYTHON3_PYCRYPTODOMEX_LICENSE := BSD-2
+PYTHON3_PYCRYPTODOMEX_LICENSE := Unlicense AND BSD-2-Clause and custom
PYTHON3_PYCRYPTODOMEX_LICENSE_FILES := \
- file://LICENSE.rst;md5=accfa6aeaceb3ba96676edf18e78302c
+ file://LICENSE.rst;md5=accfa6aeaceb3ba96676edf18e78302c \
+ file://Doc/ocb/license1.pdf;md5=e33fa8dcf4d10e5c0d9a9e9291714d3d \
+ file://Doc/ocb/license2.pdf;md5=68cfc4690fbbaa0d89d3ea3abcc60b0f \
+ file://Doc/ocb/license3.pdf;md5=2124679d48d559681738985e040ae388
# ----------------------------------------------------------------------------
# Prepare
--
2.30.2
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [ptxdist] [APPLIED] ptxd_make_world_license: handle PDFs in _LICENSE_FILES
2021-07-08 18:52 [ptxdist] [PATCH v2 1/2] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Roland Hieber
2021-07-08 18:52 ` [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier Roland Hieber
@ 2021-07-20 11:48 ` Michael Olbrich
1 sibling, 0 replies; 4+ messages in thread
From: Michael Olbrich @ 2021-07-20 11:48 UTC (permalink / raw)
To: ptxdist; +Cc: Roland Hieber
Thanks, applied as 2179ae513a925bc4d22c791cacd7e3d8adf902ed.
Michael
[sent from post-receive hook]
On Tue, 20 Jul 2021 13:48:35 +0200, Roland Hieber <rhi@pengutronix.de> wrote:
> If PDF files are found in the _LICENSE_FILES variable, include them as
> literal pages in license-report.pdf with the 'pdfpages' package, which
> nowadays comes preinstalled with most LaTeX distributions.
>
> Signed-off-by: Roland Hieber <rhi@pengutronix.de>
> Message-Id: <20210708185255.3303-1-rhi@pengutronix.de>
> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
>
> diff --git a/scripts/lib/ptxd_make_license_report.sh b/scripts/lib/ptxd_make_license_report.sh
> index c92dc725d1f7..bed5bd1d43c5 100644
> --- a/scripts/lib/ptxd_make_license_report.sh
> +++ b/scripts/lib/ptxd_make_license_report.sh
> @@ -18,6 +18,7 @@ ptxd_make_license_report_header() {
> \usepackage{tikz}
> \usepackage{adjustbox}
> \usepackage{spverbatim}
> + \usepackage{pdfpages}
> \hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
>
> %% Something like this may be needed depending on the package list
> @@ -209,6 +210,7 @@ ptxd_make_license_compliance_header() {
> \usepackage{tikz}
> \usepackage{adjustbox}
> \usepackage{spverbatim}
> + \usepackage{pdfpages}
> \hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
>
> %% Something like this may be needed depending on the package list
> diff --git a/scripts/lib/ptxd_make_world_license.sh b/scripts/lib/ptxd_make_world_license.sh
> index f68b75339cb2..785254603765 100644
> --- a/scripts/lib/ptxd_make_world_license.sh
> +++ b/scripts/lib/ptxd_make_world_license.sh
> @@ -188,21 +188,32 @@ ptxd_make_world_license_write() {
> continue
> fi
> title="$(basename "${license}")"
> - cat <<- EOF
> - \section{$(ptxd_make_latex_escape "${title}")${guess}}
> - \begin{small}
> - \begin{spverbatim}
> - EOF
> - if [ -f "${license}.utf-8" ]; then
> - cat "${license}.utf-8"
> - else
> - cat "${license}"
> - fi | sed -e 's/\f/\n/g'
> - check_pipe_status || return
> - cat <<- EOF
> - \end{spverbatim}
> - \end{small}
> - EOF
> + case "${license}" in
> + *.pdf)
> + cat <<- EOF
> + \section{$(ptxd_make_latex_escape "${title}")${guess}}
> + \includepdf[pages=-]{${license}}
> + EOF
> + ;;
> + *)
> + cat <<- EOF
> + \section{$(ptxd_make_latex_escape "${title}")${guess}}
> + \begin{small}
> + \begin{spverbatim}
> + EOF
> +
> + if [ -f "${license}.utf-8" ]; then
> + cat "${license}.utf-8"
> + else
> + cat "${license}"
> + fi | sed -e 's/\f/\n/g'
> + check_pipe_status || return
> + cat <<- EOF
> + \end{spverbatim}
> + \end{small}
> + EOF
> + ;;
> + esac
> done
> }
> export -f ptxd_make_world_license_write
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [ptxdist] [APPLIED] python3-pycryptodomex: fix license identifier
2021-07-08 18:52 ` [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier Roland Hieber
@ 2021-07-20 11:48 ` Michael Olbrich
0 siblings, 0 replies; 4+ messages in thread
From: Michael Olbrich @ 2021-07-20 11:48 UTC (permalink / raw)
To: ptxdist; +Cc: Roland Hieber
Thanks, applied as ff53b37b44d3cb8218e82b7a5fd33b05ef601f1e.
Michael
[sent from post-receive hook]
On Tue, 20 Jul 2021 13:48:37 +0200, Roland Hieber <rhi@pengutronix.de> wrote:
> LICENSE.rst includes an Unlicense and a BSD-2-Clause, and refers to
> additional licenses for the OCB code, which contains a restriction for
> "military purposes", and is not compatible with the Open Source
> Definition.
>
> Fixes: b8958ad388ba104527e2 (2021-07-02, "python3-pycryptodomex: new package")
> Cc: Lars Pedersen <lapeddk@gmail.com>
> Signed-off-by: Roland Hieber <rhi@pengutronix.de>
> Message-Id: <20210708185255.3303-2-rhi@pengutronix.de>
> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
>
> diff --git a/rules/python3-pycryptodomex.make b/rules/python3-pycryptodomex.make
> index 59dadfbd0d29..69fcd1f3a5e8 100644
> --- a/rules/python3-pycryptodomex.make
> +++ b/rules/python3-pycryptodomex.make
> @@ -21,9 +21,12 @@ PYTHON3_PYCRYPTODOMEX_SUFFIX := tar.gz
> PYTHON3_PYCRYPTODOMEX_URL := $(call ptx/mirror-pypi, pycryptodomex, $(PYTHON3_PYCRYPTODOMEX).$(PYTHON3_PYCRYPTODOMEX_SUFFIX))
> PYTHON3_PYCRYPTODOMEX_SOURCE := $(SRCDIR)/$(PYTHON3_PYCRYPTODOMEX).$(PYTHON3_PYCRYPTODOMEX_SUFFIX)
> PYTHON3_PYCRYPTODOMEX_DIR := $(BUILDDIR)/$(PYTHON3_PYCRYPTODOMEX)
> -PYTHON3_PYCRYPTODOMEX_LICENSE := BSD-2
> +PYTHON3_PYCRYPTODOMEX_LICENSE := Unlicense AND BSD-2-Clause and custom
> PYTHON3_PYCRYPTODOMEX_LICENSE_FILES := \
> - file://LICENSE.rst;md5=accfa6aeaceb3ba96676edf18e78302c
> + file://LICENSE.rst;md5=accfa6aeaceb3ba96676edf18e78302c \
> + file://Doc/ocb/license1.pdf;md5=e33fa8dcf4d10e5c0d9a9e9291714d3d \
> + file://Doc/ocb/license2.pdf;md5=68cfc4690fbbaa0d89d3ea3abcc60b0f \
> + file://Doc/ocb/license3.pdf;md5=2124679d48d559681738985e040ae388
>
> # ----------------------------------------------------------------------------
> # Prepare
_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2021-07-20 11:49 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-07-08 18:52 [ptxdist] [PATCH v2 1/2] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Roland Hieber
2021-07-08 18:52 ` [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier Roland Hieber
2021-07-20 11:48 ` [ptxdist] [APPLIED] " Michael Olbrich
2021-07-20 11:48 ` [ptxdist] [APPLIED] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Michael Olbrich
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox